angular.module('IDRMAGISOFT').controller('PrioridadesController', InitController);
InitController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$interval', '$http','$httpParamSerializerJQLike'];
function InitController($scope, $state, $sessionStorage, servicios, $interval, $http,$httpParamSerializerJQLike) {

    $scope.mostrarPrioridades = false;
    $scope.prioridades = false;
    $scope.TomeSuTurno = false;

    var PrioridadSeleccionada = 0;

    if ($sessionStorage.Prioridad == 2) {
        $scope.mostrarPrioridades = true;
        $scope.prioridades = true;
    } else {
        PrioridadSeleccionada = $sessionStorage.Prioridad;
        ImprimirTurno();
    }

    $scope.ClicPrioridad = function (prioridad) {
        PrioridadSeleccionada = prioridad;
        $scope.mostrarPrioridades = false;
        $scope.prioridades = false;
        $scope.TomeSuTurno = true;
        ImprimirTurno();
    }

    function ImprimirTurno() {
        $sessionStorage.PrioridadSeleccionada = PrioridadSeleccionada;
        var nombrePersona = '';
        var idPersona = '';
            if($sessionStorage.NombreCliente == undefined){
                nombrePersona = '';
            }else{
                nombrePersona = $sessionStorage.NombreCliente;
            }
            if($sessionStorage.IdPersona == undefined){
                idPersona = '';
            }else{
                idPersona = $sessionStorage.IdPersona;
            }
            $sessionStorage.serviciosSelected.shift()
            let url = "app/model/Servidor.php?accion=SacarTurno&idservicio=" + $sessionStorage.IdServicio + "&prioridad=" + $sessionStorage.PrioridadSeleccionada + "&idrelacionServicio=" + $sessionStorage.idrelacionServicio + "&cedula=" + $sessionStorage.Cedula + "&nombrecliente=" + nombrePersona + "&IdPersona=" + idPersona + "&nivel=" + $sessionStorage.nivel;
            $http.post(url,$httpParamSerializerJQLike({data:JSON.stringify($sessionStorage.serviciosSelected)})).then(function (response) {
                console.log(response);
                if (response.data.estado === 'limite') {
                    alert('El servicio ha alcanzado el limite de asistencias!');
                    $state.go("index");
                } else if (response.data.estado == "nocita") {
                    $scope.Cedula2 = $sessionStorage.Cedula;
                    $("#modalnocita ").modal("show");
                    $("#modalnocita").modal({ backdrop: "static", keyboard: false });
                    //PARA DESACTIVAR LA MODAL DESPUES DE X SEGUNDOS
                    var intervalnocita = $interval(function () {
                        $("#modalnocita").modal("hide");
                        $interval.cancel(intervalnocita);
                        RegresarInicio();
                    }, 5000);
                    //
                }else {
                    $scope.mostrarPrioridades = false;
                    $scope.prioridades = false;
                    $scope.TomeSuTurno = true;
                    if($sessionStorage.tipoSeleccionada == "0"){
                        $http.post("app/model/imprimirTurno/Impresion.php?accion=ImprimirTiket&turno=" + response.data.turno + "&servicio=" + response.data.servicio +"&mensaje=" +
                        response.data.mensaje+"&nombre=" + nombrePersona,$httpParamSerializerJQLike({data:response.data.multis}))
                        .then(function (response) {
                            //
                        });
                    }else{
                        $http.get("app/model/enviarMensaje.php?&turno=" + response.data.turno + "&servicio=" + response.data.servicio + "&idturno=" +response.data.idturno + "&idservicios=" +response.data.idservicio)
                        .then(function (response) {
                            //
                        });
                    }
                    
                    var intervalGif = $interval(function () {
                        $interval.cancel(intervalGif);
                        delete $sessionStorage.Prioridad;
                        delete $sessionStorage.idrelacionServicio;
                        delete $sessionStorage.NombreCliente;
                        delete $sessionStorage.IdPersona;
                        delete $sessionStorage.Cedula;
                        delete $sessionStorage.PrioridadSeleccionada;
                        delete $sessionStorage.turnoImp;
                        delete $sessionStorage.servicioImp;
                        $state.go("index");
                    }, 2000);
                }
            });
    }

    function RegresarInicio() {
        delete $sessionStorage.Prioridad;
        delete $sessionStorage.idrelacionServicio;
        delete $sessionStorage.NombreCliente;
        delete $sessionStorage.IdPersona;
        delete $sessionStorage.Cedula;
        $state.go("index");
    }
    
}